// ApercuView.h


#ifndef _APERCUVIEW_H_
#define _APERCUVIEW_H_
#if _MSC_VER>1000
#pragma once
#endif

#define TOOLBAREX_REG
#include "AppResource.h"
#include <ToolBarEx.h>
#include <FileBuf.h>

class CMuzipDoc;
class CApercu;


class CApercuView : public CFormView
{
	DECLARE_DYNCREATE(CApercuView)
	CApercuView();
	~CApercuView();
	
	
public:  // Fonctions
	
	CMuzipDoc* GetDocument() { return (CMuzipDoc*)m_pDocument; }
	
	void SetApercu(CFichier* pFichier);
	void PeutApercu();
	void Redimensionner();
	
	
public:  // Donnes
	
	//{{AFX_DATA(CApercuView)
	enum { IDD = IDD_APERCUVIEW };
	CStatic       m_lblMAJ;
	CRichEditCtrl m_rtf;
	CStatic       m_bmp;
	//}}AFX_DATA
	
	CApercu   *m_pApercu;    // Interface
	CFichier  *m_pFichier;   // Fichier concern
	CFileRead  m_fr;
	
	CToolBarEx m_tlb;     // Barre d'outils
	CStatusBar m_stb;     // Barre d'tat
	UINT       m_idTlb;   // ID de la barre d'outils
	
	//*** Mode Texte
	bool m_fRetour;   // Retour  la ligne automatique
	bool m_fDOS;      // Texte DOS
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CApercuView)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CApercuView)
	afx_msg int  OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnMAJ();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


class CApercu
{
protected:  // Interne
	
	CApercu(CApercuView* pView, LPCTSTR pszFichier) : m_pView(pView)
	{
		lstrcpy(m_pszFichier, pszFichier);
	}
	
	CApercuView *m_pView;
	
	
public:  // Hritage
	
	virtual ~CApercu();
	
	virtual UINT GetToolBarID() const;
	
	virtual void MAJ() {}
	virtual void GetInfoText(CString& s) { s; }
	virtual void OnSetFont();
	virtual void OnSetPoliceFont() {}
	
	void SetFont(CFont* pFont);
	
	
protected:  // Donnes
	
	TCHAR m_pszFichier[MAX_PATH];
};


//{{AFX_INSERT_LOCATION}}
#endif
