// GZip/GZip.h


#ifndef _GZIP_GZIP_H_
#define _GZIP_GZIP_H_


#pragma pack(push,1)

struct GZIPHEADER
{
	WORD  wID;        // Toujours gzipID
	BYTE  nMethode;   // Mthode de compression
	BYTE  nFlags;     // Flags
	DWORD dtM;        // Date/heure de dernire modification, format Unix
	BYTE  nFlags2;    // Flags tendus
	BYTE  nOS;        // ID d'OS
};

#pragma pack(pop)


// Pour l'en-tte
const BYTE gzipPresetDict = 0x20;
const BYTE gzipOS         = 0x0B;   // Window 95 & Windows NT
const WORD gzipID         = 0x8B1F;

// Flags
const BYTE gzfASCII   = 0x01;   // Fichier texte ASCII probablement
const BYTE gzfCRC     = 0x02;   // En-tte CRC prsent
const BYTE gzfExtra   = 0x04;   // Champ extra prsent
const BYTE gzfNom     = 0x08;   // Nom original prsent
const BYTE gzfComment = 0x10;   // Commentaire prsent
const BYTE gzfReserve = 0xE0;   // Rserv


#endif
