// MainFrame.h


#ifndef _MAINFRAME_H_
#define _MAINFRAME_H_
#if _MSC_VER>1000
#pragma once
#endif

#define TOOLBAREX_REG
#include <ToolBarEx.h>
#include "MainClient.h"


class CMainFrame : public CMDIFrameWnd
{
public:  // Fonctions
	
	void SetComment(bool fComment);
	
	void SwitchToolBar();
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CMainFrame)
	//}}AFX_VIRTUAL
	
	
protected:  // Donnes
	
	CMainClient m_wndClient;
	
	CStatusBar  m_wndStatusBar;
	bool        m_fComment;   // Icne commentaire affiche ?
	
	CToolBarEx  m_wndToolBar[3];
	int         m_nToolBar;
	
	
protected:  // Messages
	
	//{{AFX_MSG(CMainFrame)
	afx_msg int  OnCreate(CREATESTRUCT* pcs);
	afx_msg void OnDestroy();
	afx_msg void OnSettingChange(UINT uFlags, LPCTSTR lpszSection);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
	afx_msg void OnIndicatorClick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnUpdateIndicatorEtat   (CCmdUI* pCmdUI);
	afx_msg void OnUpdateIndicatorComment(CCmdUI* pCmdUI);
	afx_msg void OnViewToolbar();
	afx_msg void OnViewApercuAuto();
	afx_msg void OnUpdateViewToolbar   (CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewApercuAuto(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
