// Z/Crypt.h


#ifndef _Z_CRYPT_H_
#define _Z_CRYPT_H_

class CFileWrite;


const UINT lenCryptBuf    = 80;   // Taille du tampon d'entre
const UINT lenCryptEnTete = 12;   // Longueur de l'en-tte alatoire de cryptage


#ifdef MUZIPEXE

// Crypter l'octet b en utilisant temporairement nTemp
#define zipCrypter(b, nTemp)  ((BYTE)(nTemp=cryptDecrypter(), keyMAJ(b), nTemp^(b)))

#endif


// Dcrypter l'octet o sur place
#define zipDecrypter(c)   keyMAJ(c ^= cryptDecrypter())

BYTE cryptDecrypter();
BYTE keyMAJ(BYTE b);
void keyInit(LPCTSTR pszMDP);

#ifdef MUZIPEXE
void cryptEnTete(LPCTSTR pszMDP, DWORD nCRC, CFileWrite& fw);
#endif

extern bool e_fCrypte;


#endif
