// Z/Huffman.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "Huffman.h"


#ifdef MUZIPEXE

// Zip: options de vitesse pour le flag d'utilit gnrale
const int vitRapide = 4;
const int vitLent   = 2;
const int vitNormal = 0;

enum
{
	foncStocker,
	foncRapide,
	foncLent,
};

const CONFIG e_aConfig[7] =
{
	{  0,   0,   0,    0, vitRapide, foncStocker },
	{  4,   4,   8,    4, vitRapide, foncRapide },
//{  4,   5,  16,    8, vitRapide, foncRapide },
	{  4,   6,  32,   32, vitNormal, foncRapide },
	{  4,   4,  16,   16, vitNormal, foncLent },
	{  8,  16,  32,   32, vitNormal, foncLent },
//{  8,  16, 128,  128, vitNormal, foncLent },
	{  8,  32, 128,  256, vitNormal, foncLent },
//{ 32, 128, 258, 1024, vitLent,   foncLent },
	{ 32, 258, 258, 4096, vitLent,   foncLent },
};

#endif

const WORD e_aExtraL[nbcodeLen+2] =
	{ 0,0,0,0,0,0,0,0,1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,0,112,112 };

const WORD e_aExtraD[nbcodeD] =
	{ 0,0,0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13 };


#ifdef MUZIPEXE

const WORD e_aExtraBL[nbcodeBL] =
	{ 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,3,7 };

#endif


const BYTE e_aOrdreBL[nbcodeBL] =
	{ 16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15 };
