// dlgArchivePlus.h


#ifndef _DLGARCHIVEPLUS_H_
#define _DLGARCHIVEPLUS_H_
#if _MSC_VER>1000
#pragma once
#endif

class CArchivePlus;
class CMuzipArc;

#include "LBPlusItem.h"


class CDlgArchivePlus : public CDialog
{
public:  // Fonctions
	
	CDlgArchivePlus(CMuzipArc* pArc, CArchivePlus& arPlus, CString& sMdp, CWnd* pParent=NULL);
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgArchivePlus)
	enum { IDD = IDD_ARCHIVEPLUS };
	CLBPlusItem m_lst;
	CButton     m_cmdAjouter;
	CButton     m_cmdEnlever;
	CButton     m_cmdSupprimer;
	CButton     m_cmdHaut;
	CButton     m_cmdBas;
	int         m_nSup;
	CString     m_sDossier;
	//}}AFX_DATA
	
	
protected:  // Interne
	
	CMuzipArc    *m_pArc;
	CArchivePlus &m_arPlus;
	CString      &m_sMdp;
	
	void AjouterEnlever(bool fAjouter);
	
	enum{ nbBouton=5, cBouton=15 };
	static HICON s_aIcon[nbBouton];
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgArchivePlus)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgArchivePlus)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnAjouter();
	afx_msg void OnSupprimer();
	afx_msg void OnLstSelChange();
	afx_msg void OnLstDblClk();
	afx_msg void OnHaut();
	afx_msg void OnBas();
	afx_msg void OnEnlever();
	afx_msg BOOL OnToolTipNeedText(UINT nID, NMTTDISPINFO* pTTT, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
