// dlgMdp.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "App.h"
#include "dlgMdp.h"

#include "Reg.h"


const LPTSTR eszGeneralMdpCacher = _T("MdpCacher");


BEGIN_MESSAGE_MAP(CDlgMdp, CDialog)
	//{{AFX_MSG_MAP(CDlgMdp)
	ON_BN_CLICKED(IDCCHK_MASQUER, OnChkMasquer)
	ON_EN_CHANGE (IDCTXT,         OnTxtChange)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Constructeur
CDlgMdp::CDlgMdp(CString& sMdp, bool fFautMDP, CWnd* pParent)
	: CDialog(IDD, pParent), m_sMdpRet(sMdp), m_fFautMDP(fFautMDP)
{
	//{{AFX_DATA_INIT(CDlgMdp)
	m_sMdp = m_sMdpRet;
	//}}AFX_DATA_INIT
	m_fMasquer = ToBool(pApp->GetProfileInt(kszGeneral, eszGeneralMdpCacher, true));
}


// Contrles
void CDlgMdp::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CDlgMdp)
	DDX_Control (pDX, IDCTXT,         m_txtMdp);
	DDX_Text    (pDX, IDCTXT,         m_sMdp);
	DDV_MaxChars(pDX,                 m_sMdp, 100);
	DDX_Control (pDX, IDCCHK_MASQUER, m_chkMasquer);
	DDX_Check   (pDX, IDCCHK_MASQUER, m_fMasquer);
	//}}AFX_DATA_MAP
	if (!pDX->m_bSaveAndValidate) {
		OnTxtChange();
		OnChkMasquer();
	}
}


// OK
void CDlgMdp::OnOK()
{
	if (!UpdateData())  return;
	
	m_sMdpRet = m_sMdp;
	pApp->WriteProfileInt(kszGeneral, eszGeneralMdpCacher, m_fMasquer);
	
	EndDialog(IDOK);
}


// Masquer
void CDlgMdp::OnChkMasquer()
{
	m_txtMdp.SetPasswordChar((m_chkMasquer.GetCheck()) ? '*' : '\0');
	m_txtMdp.RedrawWindow();
}


// Mot de passe - Changement
void CDlgMdp::OnTxtChange()
{
	if (m_fFautMDP)
		GetDlgItem(IDOK)->EnableWindow(m_txtMdp.GetWindowTextLength()!=0);
}
