// dlgParcourir.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "dlgParcourir.h"


BEGIN_MESSAGE_MAP(CDlgParcourir, CDialog)
	//{{AFX_MSG_MAP(CDlgParcourir)
	ON_BN_CLICKED(IDCCMD_NOUVEAU,     OnNouveau)
	ON_NOTIFY(TVN_SELCHANGED, IDCTRE, OnTreSelChanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Constructeur
CDlgParcourir::CDlgParcourir(CString& sDossier, CWnd* pParent)
	: CDialog(IDD, pParent), m_sDossier(sDossier)
{
	//{{AFX_DATA_INIT(CDlgParcourir)
	//}}AFX_DATA_INIT
}


// Contrles
void CDlgParcourir::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	
	DDX_TrvExplore(pDX, IDCTRE, m_tre,      m_sDossier);
	//{{AFX_DATA_MAP(CDlgParcourir)
	DDX_Text      (pDX, IDCTXT, m_sDossier);
	DDV_MaxChars  (pDX,         m_sDossier, MAX_PATH);
	//}}AFX_DATA_MAP
}


// OK
void CDlgParcourir::OnOK()
{
	if (UpdateData())  EndDialog(IDOK);
}


// Nouveau
void CDlgParcourir::OnNouveau()
{
	m_tre.NouveauDossier();
}


// Arborescence - Slection modifie
void CDlgParcourir::OnTreSelChanged(NMTREEVIEW*, LRESULT*)
{
	SetDlgItemText(IDCTXT, m_tre.GetPath());
}
