// dlgPlusItem.h


#ifndef _DLGPLUSITEM_H_
#define _DLGPLUSITEM_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "PlusItem.h"

class CMuzipArc;


class CDlgPlusItem : public CDialog, public CPlusItem
{
public:  // Fonctions
	
	CDlgPlusItem(CMuzipArc* pArc, CPlusItem& pi, CString& sMdp, bool fPeutSpec, CWnd* pParent=NULL);
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgPlusItem)
	enum { IDD = IDD_PLUSITEM };
	//}}AFX_DATA
	
	CMuzipArc *m_pArc;
	CPlusItem &m_pi;
	CString   &m_sMdp;
	bool       m_fPeutSpec;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgPlusItem)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgPlusItem)
	virtual BOOL OnInitDialog();
	afx_msg void OnActionSelChange();
	afx_msg void OnDefaut();
	afx_msg void OnSpec();
	afx_msg void OnFiltre();
	afx_msg void OnMdp();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
