// dlgProprietes.h


#ifndef _DLGPROPRIETES_H_
#define _DLGPROPRIETES_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "Global.h"
#include <Temps.h>


class CDlgProprietes : public CDialog
{
public:  // Fonctions
	
	CDlgProprietes(const CDossier* pDossier=NULL, CWnd* pParent=NULL)
		: CDialog(IDD, pParent), m_pDossier(pDossier) {}
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgProprietes)
	enum { IDD = IDD_PROPRIETES };
	BOOL      m_fAttrA;
	BOOL      m_fAttrH;
	BOOL      m_fAttrR;
	BOOL      m_fAttrS;
	//}}AFX_DATA
	CTempsDHS m_dtModif;
	
	CLstFichier     m_lstFichier;
	CFichier       *m_pFichier;
	const CDossier *m_pDossier;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgProprietes)
	public:
	virtual int DoModal();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgProprietes)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
#if 0
	DECLARE_MESSAGE_MAP()
#endif
};


//{{AFX_INSERT_LOCATION}}
#endif
