// dlgRech.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "dlgRech.h"


#if 0
BEGIN_MESSAGE_MAP(CDlgRech, CPropertySheet)
	//{{AFX_MSG_MAP(CDlgRech)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
#endif


// Constructeur
CDlgRech::CDlgRech(bool fRech, RECHOPTIONS& rch, CWnd* pParentWnd, UINT iSelectPage)
	: CTabSheet(IDS_FILTRE, pParentWnd, iSelectPage),
	  m_fRech(fRech), m_rch(rch)
{
	// Ajouter les onglets  la bote de dialogue
	if (m_fRech)  AddPage(&m_pgGeneral);
	AddPage(&m_pgDate);
	AddPage(&m_pgTaille);
	AddPage(&m_pgAttribut);
}


// Affichage
int CDlgRech::DoModal()
{
	// Initialiser les botes de dialogue
	
	if (m_fRech) {
		m_pgGeneral.m_sFiltre  = m_rch.DO_sFiltre;
		m_pgGeneral.m_sContenu = m_rch.DO_sContenu;
	}
	
	
	m_pgDate.m_rdC           = m_rch.DA_rdC;
	m_pgDate.m_rdM           = m_rch.DA_rdM;
	
	m_pgTaille.m_nActive     = m_rch.TA_nActive;
	m_pgTaille.m_nOp         = m_rch.TA_nOp;
	m_pgTaille.m_uTaille     = m_rch.TA_uTaille;
	m_pgTaille.m_nUnite      = m_rch.TA_nUnite;
	
	m_pgAttribut.m_nR        = m_rch.AT_nR;
	m_pgAttribut.m_nH        = m_rch.AT_nH;
	m_pgAttribut.m_nS        = m_rch.AT_nS;
	m_pgAttribut.m_nA        = m_rch.AT_nA;
	
	// Afficher la bote de dialogue
	const int nRet = CPropertySheet::DoModal();
	
	if (nRet==IDOK) {
		// Mmoriser les changements
		
		if (m_fRech) {
			m_rch.DO_sFiltre  = m_pgGeneral.m_sFiltre;
			m_rch.DO_sContenu = m_pgGeneral.m_sContenu;
		}
		
		m_rch.DA_rdC        = m_pgDate.m_rdC;
		m_rch.DA_rdM        = m_pgDate.m_rdM;
		
		m_rch.TA_nActive    = m_pgTaille.m_nActive;
		m_rch.TA_nOp        = m_pgTaille.m_nOp;
		m_rch.TA_uTaille    = m_pgTaille.m_uTaille;
		m_rch.TA_nUnite     = m_pgTaille.m_nUnite;
		
		m_rch.AT_nR         = m_pgAttribut.m_nR;
		m_rch.AT_nH         = m_pgAttribut.m_nH;
		m_rch.AT_nS         = m_pgAttribut.m_nS;
		m_rch.AT_nA         = m_pgAttribut.m_nA;
	}
	
	return nRet;
}
