// dlgSfx.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "dlgSfx.h"

#include "dlgParcourir.h"


BEGIN_MESSAGE_MAP(CDlgSfx, CDialog)
	//{{AFX_MSG_MAP(CDlgSfx)
	ON_BN_CLICKED(IDCCMD_PARCOURIR, OnParcourir)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Constructeur
CDlgSfx::CDlgSfx(CWnd* pParent) : CDialog(IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgSfx)
	m_fEcraser = FALSE;
	//}}AFX_DATA_INIT
}


// Contrles
void CDlgSfx::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CDlgSfx)
	DDX_Text    (pDX, IDCTXT_EXE,     m_sEXE);
	DDX_Text    (pDX, IDCTXT_DEST,    m_sDest);
	DDV_MaxChars(pDX,                 m_sDest, MAX_PATH);
	DDX_Check   (pDX, IDCCHK_ECRASER, m_fEcraser);
	//}}AFX_DATA_MAP
}


// Parcourir
void CDlgSfx::OnParcourir()
{
	if (!UpdateData())  return;
	if (CDlgParcourir(m_sDest, this).DoModal()==IDOK)
		UpdateData(FALSE);
}
