// pgOptionsDossiers.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "pgOptionsDossiers.h"

#include "dlgParcourir.h"
#include "Options.h"


BEGIN_MESSAGE_MAP(CPgOptionsDossiers, CPropertyPage)
	//{{AFX_MSG_MAP(CPgOptionsDossiers)
	ON_BN_CLICKED(IDCCMD_AJOUT,   OnAjout)
	ON_BN_CLICKED(IDCCMD_EXTRACT, OnExtract)
	ON_BN_CLICKED(IDCCMD_TEMP,    OnTemp)
	ON_BN_CLICKED(IDCCMD_DRAG,    OnDrag)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Contrles
void CPgOptionsDossiers::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CPgOptionsDossiers)
	DDX_Radio   (pDX, IDCOPT_AJOUT_0,   m_nAjout);
	DDX_Text    (pDX, IDCTXT_AJOUT,     m_sAjout);
	DDV_MaxChars(pDX,                   m_sAjout,   MAX_PATH);
	DDX_Radio   (pDX, IDCOPT_EXTRACT_0, m_nExtract);
	DDX_Text    (pDX, IDCTXT_EXTRACT,   m_sExtract);
	DDV_MaxChars(pDX,                   m_sExtract, MAX_PATH);
	DDX_Radio   (pDX, IDCOPT_TEMP_0,    m_nTemp);
	DDX_Text    (pDX, IDCTXT_TEMP,      m_sTemp);
	DDV_MaxChars(pDX,                   m_sTemp,    MAX_PATH);
	DDX_Radio   (pDX, IDCOPT_DRAG_0,    m_nDrag);
	DDX_Text    (pDX, IDCTXT_DRAG,      m_sDrag);
	DDV_MaxChars(pDX,                   m_sDrag,    MAX_PATH);
	//}}AFX_DATA_MAP
}


// Boutons Parcourir
void CPgOptionsDossiers::OnAjout()
{
	GetDlgItemText(IDCTXT_AJOUT, m_sAjout);
	if (CDlgParcourir(m_sAjout, this).DoModal()==IDOK) {
		SetDlgItemText(IDCTXT_AJOUT, m_sAjout);
		CheckRadioButton(IDCOPT_AJOUT_0, IDCOPT_AJOUT_2, IDCOPT_AJOUT_2);
	}
}
void CPgOptionsDossiers::OnExtract()
{
	GetDlgItemText(IDCTXT_EXTRACT, m_sExtract);
	if (CDlgParcourir(m_sExtract, this).DoModal()==IDOK) {
		SetDlgItemText(IDCTXT_EXTRACT, m_sExtract);
		CheckRadioButton(IDCOPT_EXTRACT_0, IDCOPT_EXTRACT_2, IDCOPT_EXTRACT_2);
	}
}
void CPgOptionsDossiers::OnTemp()
{
	GetDlgItemText(IDCTXT_TEMP, m_sTemp);
	if (CDlgParcourir(m_sTemp, this).DoModal()==IDOK) {
		SetDlgItemText(IDCTXT_TEMP, m_sTemp);
		CheckRadioButton(IDCOPT_TEMP_0, IDCOPT_TEMP_1, IDCOPT_TEMP_1);
	}
}
void CPgOptionsDossiers::OnDrag()
{
	GetDlgItemText(IDCTXT_DRAG, m_sDrag);
	if (CDlgParcourir(m_sDrag, this).DoModal()==IDOK) {
		SetDlgItemText(IDCTXT_DRAG, m_sDrag);
		CheckRadioButton(IDCOPT_DRAG_0, IDCOPT_DRAG_1, IDCOPT_DRAG_1);
	}
}
