// FichierPlus.h


#ifndef _FICHIERPLUS_H_
#define _FICHIERPLUS_H_
#if _MSC_VER>1000
#pragma once
#endif

class CFichier;
class CDossier;
class CPlusItem;

class CFichierPlus;
typedef CListePtr1<CFichierPlus*> CLstFichierPlus;


class CFichierPlus
{
	friend class CRecherche;
	
public:  // Fonctions
	
	CFichierPlus(CFichier* pFichier, CFichier* pFichierOld, POS posFichierOld, CDossier* pDossier, CPlusItem* ppi);
	
	bool Finaliser();
	
	
public:  // Donnes
	
	CFichier  *m_pFichier;        // Nouveau fichier
	CFichier  *m_pFichierOld;     // Ancien fichier
	POS        m_posFichierOld;   // Position de l'ancien fichier
	CPlusItem *m_ppi;             // Options de compression
	
	
protected:  // Uniquement en mode arbre
	
	void RemplirListe(CLstFichierPlus& lstFichierPlus);
	
	CFichierPlus *m_pfpGauche;    // lment  gauche dans l'arbre
	CFichierPlus *m_pfpDroite;    // lment  droite dans l'arbre
};


#endif
