// GZip/GZipArc.h


#ifndef _GZIP_GZIPARC_H_
#define _GZIP_GZIPARC_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "../Z/ZArc.h"

class CMuzipException;
class CArchivePlus;
class CFileWrite;
class CGZipFichier;


struct CTDATA;


typedef CListePtr2<CGZipFichier*> CLstZipFichier;


class CGZipArc : public CZArc
{
	friend class CGZipFichier;
	
public:  // Fonctions
	
	CGZipArc(CInterf* pi) : CZArc(pi) {}
	
	
public:  // Hritage
	
	int GetCap() const;
	
	bool OpenDocument();
	
	CFichier* NewFichier(LPCTSTR pszFichier, const WIN32_FIND_DATA& wfd);
	
	
protected:  // Interne
	
	bool ArchivePlusUn(CFichierPlus* pFichierPlus, CFileRead& fr, CFileWrite& fw);
	
	
	LPTSTR m_pszCom;       // Commentaires
	WORD   m_nCRCEnTete;   // CRC de l'en-tte
	DWORD  m_nCRC;         // CRC de l'en-tte
};


#endif
