// Interf.h


#ifndef _INTERF_H_
#define _INTERF_H_
#if _MSC_VER>1000
#pragma once
#endif

class CMuzipDoc;
class CMuzipArc;
class CDossier;
class CFichier;


class CInterf
{
public:  // Fonctions
	
	void SetArc(CMuzipArc* pArc) { m_pArc = pArc; }
	
	
	virtual bool IsDoc() const { return false; }
	
	virtual void SetModifiedFlag(BOOL bModified=TRUE) { bModified; }
	virtual BOOL IsModified() const { return FALSE; }
	virtual void SetFautFermer() {}
	
	virtual void UpdateAll() {}
	virtual void DeleteAll() {}
	virtual void UpdateFichier(CFichier* pFichier) { pFichier; }
	
	virtual void CloseDocument();
	
	virtual void RechercherSuivant(const CDossier* pDossier, int nItem=-1) { pDossier; nItem; }
	
	virtual HTREEITEM InsertItem(TVINSERTSTRUCT* ptvis) { ptvis;  return NULL; }
	
	
public:  // vnements
	
	virtual void OnDossierSupprimer(CDossier* pDossier) { pDossier; }
	virtual void OnDossierChange() {}
	
	
protected:  // Donnes
	
	CMuzipArc *m_pArc;
};


class CInterfDoc : public CInterf
{
public:  // Fonctions
	
	CInterfDoc(CMuzipDoc* pDoc);
	
	
public:  // Hritage
	
	bool IsDoc() const { return true; }
	
	void SetModifiedFlag(BOOL bModified=TRUE);
	BOOL IsModified() const;
	void SetFautFermer();
	
	void UpdateAll();
	void DeleteAll();
	void UpdateFichier(CFichier* pFichier);
	
	void CloseDocument();
	
	void RechercherSuivant(const CDossier* pDossier, int nItem=-1);
	
	HTREEITEM InsertItem(TVINSERTSTRUCT* ptvis);
	
	
public:  // vnements
	
	void OnDossierSupprimer(CDossier* pDossier);
	void OnDossierChange();
	
	
protected:  // Donnes
	
	CMuzipDoc *m_pDoc;
};


#endif
