// Interract.cpp


#include "StdAfx.h"

#define INITGUID
#include <InitGuid.h>
#include "Interract.h"


// Cration
void* CInterract::operator new(size_t len, int nUnique)
{
	if (nUnique<=0)  return NULL;
	
	len += sizeof(HANDLE);   // Pour le handle de mapping
	
	// Formatter le nom du mapping
	const TCHAR pszMappingFormat[] = _T("MuzipMapping%d");
	TCHAR pszMapping[nbArray(pszMappingFormat)+2];
	wsprintf(pszMapping, pszMappingFormat, nUnique);
	
	// Crer le mapping
	const HANDLE hMapping = CreateFileMapping(INVALID_HANDLE_VALUE,
		NULL, PAGE_READWRITE, 0,len, pszMapping);
	if (!hMapping)  return NULL;
	
	// Mapper une vue
	void *pv = MapViewOfFile(hMapping, FILE_MAP_ALL_ACCESS, 0,0, 0);
	if (!pv) {
		CloseHandle(hMapping);
		return NULL;
	}
	
	// Mmoriser le handle de mapping
	*(HANDLE*)pv = hMapping;
	
	return (BYTE*)pv + sizeof(HANDLE);
}

// Destruction
void CInterract::operator delete(void* pv)
{
	if (!pv)  return;
	
	pv = (BYTE*)pv - sizeof(HANDLE);
	const HANDLE hMapping = *(HANDLE*)pv;
	
	// Dmapper la vue et fermer le mapping
	UnmapViewOfFile(pv);
	CloseHandle(hMapping);
}
