// MainClient.cpp
//
// Sert uniquement au changement de barre d'outils


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "App.h"
#include "MainClient.h"
#include "MainFrame.h"


BEGIN_MESSAGE_MAP(CMainClient, CWnd)
	//{{AFX_MSG_MAP(CMainClient)
	ON_MESSAGE(WM_MDISETMENU, OnMDISetMenu)
	ON_WM_PARENTNOTIFY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Changement de menu
void CMainClient::OnMDISetMenu(WPARAM, LPARAM)
{
	Default();
	
	((CMainFrame*)pApp->m_pMainWnd)->SwitchToolBar();
}

// Notification du parent
void CMainClient::OnParentNotify(UINT uMsg, LPARAM lParam)
{
	CWnd::OnParentNotify(uMsg, lParam);
	
	switch (LOWORD(uMsg)) {
		
		// Cration de fentre
		case WM_CREATE:
			m_nbChild++;
			break;
		
		// Destruction de fentre
		case WM_DESTROY:
			if (!--m_nbChild)
				((CMainFrame*)pApp->m_pMainWnd)->SwitchToolBar();
			break;
	}
}
