// MuzipFrame.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "MuzipFrame.h"

#include "ArboView.h"
#include "MuzipView.h"
#include "ApercuView.h"



IMPLEMENT_DYNCREATE(CMuzipFrame, CMDIChildWnd)
#if 0
BEGIN_MESSAGE_MAP(CMuzipFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CMuzipFrame)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
#endif


// Cration client
BOOL CMuzipFrame::OnCreateClient(CREATESTRUCT*, CCreateContext* pContext)
{
	// Crer le premier splitter
	if (!m_wndSplitter.CreateStatic(this, 1,2))  return FALSE;
	
	// Crer le deuxime splitter (panel de droite)
	// et toutes les vues: arborescence  gauche,
	// liste et aperu  droite
	if (!m_wndSplitterD.CreateStatic(&m_wndSplitter, 2,1,
	       WS_CHILD | WS_VISIBLE, m_wndSplitter.IdFromRowCol(0,1)) ||
	    !m_wndSplitter .CreateView(0,0, RUNTIME_CLASS(CArboView),   CSize(150, 100), pContext) ||
	    !m_wndSplitterD.CreateView(0,0, RUNTIME_CLASS(CMuzipView),  CSize(100, 200), pContext) ||
	    !m_wndSplitterD.CreateView(1,0, RUNTIME_CLASS(CApercuView), CSize(100, 100), pContext)) {
		m_wndSplitter.DestroyWindow();
		return FALSE;
	}
	
	return TRUE;
}
