// Recherche.h


#ifndef _RECHERCHE_H_
#define _RECHERCHE_H_
#if _MSC_VER>1000
#pragma once
#endif

class CPlusItem;
class CFichierPlus;
typedef CListePtr1<CFichierPlus*> CLstFichierPlus;


class CRecherche
{
public:  // Fonctions
	
	CRecherche(CMuzipArc* pArc, CArchivePlus& arPlus);
	
	bool Rechercher(CPlusItem* ppi);
	
	void Finaliser(CLstFichierPlus& lstFichierPlus);
	
	
protected:  // Interne
	
	bool Rechercher(LPTSTR pszParent, LPTSTR pszPath, bool fVraieRecherche);
	
	TCHAR m_pszSpec[MAX_PATH];   // Spcification uniquement
	
	CMuzipArc       *m_pArc;
	CArchivePlus    &m_arPlus;
	CDossier        *m_pParent;
	
	CFichierPlus    *m_pfpDeb;   // Dbut de l'arbre
	
	CPlusItem *m_ppi;
	
	// Attributs
	DWORD m_mskAttrO;         // Ncessaires, supprime de la recherche
	DWORD m_mskAttrOPasSup;   // Ncessaire, ne pas compresser
	DWORD m_mskAttrN;         //  exclure
};


#endif
