// Tar/TarArc.h


#ifndef _TAR_TARARC_H_
#define _TAR_TARARC_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "../MuzipArc.h"

class CArchivePlus;
class CFileWrite;


class CTarArc : public CMuzipArc
{
	friend class CTarFichier;
	
public:  // Fonctions
	
	CTarArc(CInterf* pi) : CMuzipArc(pi) {}
	
	
public:  // Hritage
	
	int GetCap() const;
	
	bool OpenDocument();
	
	void Reconstruire();
	
	bool OpenArchiveTemp(CFileWrite& fw, LPTSTR pszTemp);
	
	CFichier* NewFichier(LPCTSTR pszFichier, const WIN32_FIND_DATA& wfd);
	
	
protected:  // Interne
	
	bool ArchivePlus();
	
	static bool GetOctal12(LPCSTR psz, DWORD& dw);
};





#endif
