// Tar/TarFichier.h


#ifndef _TAR_TARFICHIER_H_
#define _TAR_TARFICHIER_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "../Fichier.h"


class CTarFichier : public CFichier
{
	friend class CTarArc;
	
public:  // Hritage
	
	bool FichierCopier(CFileRead& fr, CFileWrite& fw);
	
	bool OnRenommer ();
	bool OnModifProp();
	
	
protected:  // Interne
	
	bool ExtraireInterne(LPCTSTR pszDest);
	
	bool PutHeader(CFileWrite& fw);
	
	
	DWORD m_dwFlags;   // Flags
	DWORD m_off;       // Offset par rapport au dbut de l'archive
	
	static DWORD s_off;            // Offset courant
	static bool  s_fSauterHeader;  // TRUE s'il faut sauter l'header en lecture
	
	
	static void SetOctal12(LPSTR psz, DWORD dw);
};


#endif
