// Uue/UueArc.h


#ifndef _UUE_UUEARC_H_
#define _UUE_UUEARC_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "../MuzipArc.h"

class CArchivePlus;


class CUueArc : public CMuzipArc
{
	friend class CUueFichier;
	
public:  // Hritage
	
	CUueArc(CInterf* pi) : CMuzipArc(pi) {}
	
	int GetCap() const;
	
	CFichier* NewFichier(LPCTSTR pszFichier, const WIN32_FIND_DATA& wfd);
	
	
protected:  // Hritage interne
	
	bool OpenDocument();
	
	
protected:  // Interne
	
	bool ArchivePlusUn(CFichierPlus* pFichierPlus, CFileRead& fr, CFileWrite& fw);
};


#endif
