// Z/ZipArc.h


#ifndef _Z_ZIPARC_H_
#define _Z_ZIPARC_H_
#if _MSC_VER>1000
#pragma once
#endif

#include "../MuzipArc.h"
#include "Cons.h"

class CFileRead;
class CFileWrite;

struct CTDATA;


class CZArc : public CMuzipArc
{
protected:  // Fonctions
	
	CZArc(CInterf* pi) : CMuzipArc(pi) {}
	
	DWORD Compresser(CFichier* pFichier, CFileRead& fr, CFileWrite& fw,
		DWORD* pnCRC, int nNiveau, ZMETHODE nMethode, WORD* pnAttrI=NULL);
	
	DWORD LireFichier(BYTE* pbBuf, DWORD len);
	
	static void biInit(CFileWrite* pfw);
	void  biEnvoyer(int val, int len);
	void  biFlush();
	void  biFlushOctet();
	inline void biPutWord(WORD w);
	inline void biPutByte(BYTE b);
	
	void  ctInit(WORD* pnAttr, ZMETHODE* pnMethode);
	void  lmInit(int nNiveau);
	DWORD Deflate();
	DWORD DeflateFast();
	void  MatchVerif(UINT nDeb, UINT nMatch, int len);
	void  FillFen();
	
	bool  ctCompter(int nDist, int lc);
	void  trTreeEnvoyer(CTDATA* tree, int max_code);
	void  trTreeEnvoyerTout(int lcodes, int dcodes, int blcodes);
	
	void  Write(BYTE* pbBuf, UINT len, CFileWrite& fw);
	
	DWORD trBlocFlush(BYTE* pbBuf, DWORD len, bool fEOF);
	void  trBlocCompresser(CTDATA* pTreeL, CTDATA* pTreeD);
	void  trBlocCopier(BYTE* pbBloc, UINT len, bool fHeader);
};


#endif
