// dlgExtraire.h


#ifndef _DLGEXTRAIRE_H_
#define _DLGEXTRAIRE_H_
#if _MSC_VER>1000
#pragma once
#endif

#include <TrvExplore.h>
class CMuzipArc;


// Options d'extraction
struct EXTRACTION
{
	int  m_nAction;        // Voir EXTRACTION_ACTION plus haut
	BOOL m_fArbo;          // Restaurer l'arborescence
	BOOL m_fEcraseDem;     // Demander avant d'craser
	BOOL m_fEcraseDate;    // N'craser que les fichiers plus anciens
	BOOL m_fGardeErreur;   // Garder les fichiers mal dcompresss
};


class CDlgExtraire : public CDialog
{
public:  // Fonctions
	
	CDlgExtraire(const CMuzipArc* pArc, CWnd* pParent=NULL);
	
	
public:  // Donnes
	
	//{{AFX_DATA(CDlgExtraire)
	enum { IDD = IDD_EXTRAIRE };
	CTrvExplore m_treDest;
	CString     m_sDest;
	EXTRACTION  m_ext;
	//}}AFX_DATA
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgExtraire)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgExtraire)
	afx_msg void OnTreDestSelChanged(NMTREEVIEW* pNMTRV, LRESULT* pResult);
	afx_msg void OnAction();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
#endif
