// dlgOptions.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "Muzip.h"
#include "dlgOptions.h"

#include "Options.h"


#if 0
BEGIN_MESSAGE_MAP(CDlgOptions, CPropertySheet)
	//{{AFX_MSG_MAP(CDlgOptions)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
#endif


// Constructeur
CDlgOptions::CDlgOptions(CPropertyPage CDlgOptions::* pPageDebut) : CTabSheet(IDS_OPTIONS, NULL, 0)
{
	#define AddPage(nom)  AddPage(&m_pg##nom);
	ManipulerPage(AddPage)
	#undef Classe
	
	m_fRegister = true;
	
	if (pPageDebut!=pPageDebutNull)  SetActivePage(&(this->*pPageDebut));
}

// Affichage
int CDlgOptions::DoModal()
{
	// Initialiser les botes de dialogue
	#define CopierMembres(page, type, prefixe, nom, defaut) \
		m_pg##page.m_##prefixe##nom = e_opt.m_##prefixe##page##nom;
	ManipulerMembres(CopierMembres)
	#undef CopierMembres
	
	// Afficher la bote de dialogue
	const int nRet = CPropertySheet::DoModal();
	
	if (nRet==IDOK) {
		// OK
		
		#define ChargerMembres(page, type, prefixe, nom, defaut) \
			e_opt.m_##prefixe##page##nom = m_pg##page.m_##prefixe##nom;
		ManipulerMembres(ChargerMembres)
		#undef ChargerMembres
		
		// Recrer la liste des fichiers rcents
		// avec la nouvelle taille
		CRecentFileList *&pRecentFileList = oApp.m_pRecentFileList;
		pRecentFileList->WriteList();
		delete pRecentFileList;
		pRecentFileList = new CRecentFileList(0,
			CStringRes(IDS_RECENT1), CStringRes(IDS_RECENT2),
			e_opt.m_nGeneralMRU);
		pRecentFileList->ReadList();
		
		// Mettre  jour les options
		e_opt.MAJAffichageStyleEx();
		e_opt.MAJPasCompExt();
		e_opt.Appliquer();
		
		// Enregistrer Muzip et la DLL si demand
		// (Dsenregistrer dans l'onglet Intgration n'a pas t cliqu)
		if (m_fRegister) {
			oApp.Register();
			oApp.RegisterDLL(true);
		}
	}
	
	return nRet;
}
