// dlgOptions.h


#ifndef _DLGOPTIONS_H_
#define _DLGOPTIONS_H_
#if _MSC_VER>1000
#pragma once
#endif


#include "pgOptionsGeneral.h"
#include "pgOptionsAffichage.h"
#include "pgOptionsApercu.h"
#include "pgOptionsComp.h"
#include "pgOptionsShell.h"
#include "pgOptionsProgress.h"
#include "pgOptionsDossiers.h"
#include "pgOptionsConfirm.h"


class CDlgOptions;

CPropertyPage CDlgOptions::*const pPageDebutNull = NULL;


class CDlgOptions : public CTabSheet
{
public:  // Fonctions
	
	CDlgOptions(CPropertyPage CDlgOptions::* pPageDebut=pPageDebutNull);
	
	
public:  // Donnes
	
	#define PageClasse(nom)  CPgOptions##nom m_pg##nom;
	ManipulerPage(PageClasse)
	#undef PageClasse
	
	bool m_fRegister;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgOptions)
	public:
	virtual int DoModal();
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgOptions)
	//}}AFX_MSG
};


//{{AFX_INSERT_LOCATION}}
#endif
