// dlgProgress.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "Muzip.h"
#include "dlgProgress.h"

#include "Options.h"
#include "dlgConfirm.h"


BEGIN_MESSAGE_MAP(CDlgProgress, CDialog)
	//{{AFX_MSG_MAP(CDlgProgress)
	ON_COMMAND(IDCCMD_IGNORER, OnIgnorer)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// Constructeur
CDlgProgress::CDlgProgress() : CDialog(IDD, NULL)
{
	m_prs = prsOK;
	m_f2  = true;
	
	//{{AFX_DATA_INIT(CDlgProgress)
	//}}AFX_DATA_INIT
}


// Contrles
void CDlgProgress::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CDlgProgress)
	DDX_Control(pDX, IDCPRG_1,       m_prg1);
	DDX_Control(pDX, IDCPRG_2,       m_prg2);
	DDX_Control(pDX, IDCCMD_IGNORER, m_cmdIgnorer);
	DDX_Control(pDX, IDCANCEL,       m_cmdAnnuler);
	//}}AFX_DATA_MAP
}


// Ignorer
void CDlgProgress::OnIgnorer()
{
	if (m_prs==prsOK &&
	    CDlgConfirm::GetReponse(e_opt.m_fConfirmIgnorer, DEM_IGNORER))
		m_prs = prsIgnorer;
}

// Annuler
void CDlgProgress::OnCancel()
{
	if (m_prs==prsOK)  m_prs = prsAnnuler;
}


// Timer
void CDlgProgress::OnTimer(UINT nIDEvent)
{
	if (nIDEvent!=idTimerdlgProgress)
		CDialog::OnTimer(nIDEvent);
	else{
		KillTimer(idTimerdlgProgress);
		
		// Afficher la fentre et attendre
		ShowWindow(SW_SHOW);
		UpdateWindow();
		oApp.DoEvents();
	}
}
