// dlgRech.h


#ifndef _DLGRECH_H_
#define _DLGRECH_H_
#if _MSC_VER>1000
#pragma once
#endif


#include "PlusItem.h"

#include "pgRechGeneral.h"
#include "pgRechDate.h"
#include "pgRechTaille.h"
#include "pgRechAttribut.h"


class CDlgRech : public CTabSheet
{
public:  // Fonctions
	
	CDlgRech(bool fRech, RECHOPTIONS& rch, CWnd* pParentWnd=NULL, UINT iSelectPage=0);
	
	
public:  // Donnes
	
	bool            m_fRech;   // TRUE si recherche, FALSE si compression
	RECHOPTIONS    &m_rch;     // Options de recherche
	
	CPgRechGeneral  m_pgGeneral;
	CPgRechDate     m_pgDate;
	CPgRechTaille   m_pgTaille;
	CPgRechAttribut m_pgAttribut;
	
	
public:  // Hritage
	
	//{{AFX_VIRTUAL(CDlgRech)
	public:
	virtual int DoModal();
	//}}AFX_VIRTUAL
	
	
protected:  // Messages
	
	//{{AFX_MSG(CDlgRech)
	//}}AFX_MSG
};


//{{AFX_INSERT_LOCATION}}
#endif
