// pgOptionsComp.cpp


#include "StdAfx.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
#include "AppResource.h"
#include "pgOptionsComp.h"

#include "IOFichier.h"


#if 0
BEGIN_MESSAGE_MAP(CPgOptionsComp, CPropertyPage)
	//{{AFX_MSG_MAP(CPgOptionsComp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
#endif


// Contrles
void CPgOptionsComp::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CPgOptionsComp)
	DDX_Text     (pDX, IDCTXT_PASCOMPEXT,          m_sPasCompExt);
	DDX_Check    (pDX, IDCCHK_OPTIONSDROP_MUZIP,   m_fOptionsDropMuzip);
	DDX_Check    (pDX, IDCCHK_OPTIONSDROP_MENU,    m_fOptionsDropMenu);
	DDX_Check    (pDX, IDCCHK_OPTIONSDROP_ARCHIVE, m_fOptionsDropArchive);
	DDX_Text     (pDX, IDCTXT_GZIPEXT,             m_sGZipExt);
	DDV_MaxChars (pDX,                             m_sGZipExt, _MAX_EXT);
	DDX_Check    (pDX, IDCCHK_GZIPEXTAJOUTER,      m_fGZipExtAjouter);
	DDX_Check    (pDX, IDCCHK_RM_PROP,             m_fRmProp);
	DDX_Check    (pDX, IDCCHK_RM_MOVE,             m_fRmMove);
	DDX_Check    (pDX, IDCCHK_RM_AMOVIBLE,         m_fRmAmovible);
	DDX_Text     (pDX, IDCTXT_RM_TAILLE,           m_nRmTaille);
	DDV_MinMaxInt(pDX,                             m_nRmTaille, 0, 1024);
	//}}AFX_DATA_MAP
	
	if (pDX->m_bSaveAndValidate) {
		const bool fOK = NomCorriger(m_sGZipExt.GetBuffer(_MAX_EXT));
		m_sGZipExt.ReleaseBuffer();
		if (!fOK)  pDX->Fail();
	}
}
