// Init.h
//
// Fichier d'initialisation commun  tous les programmes
// Dfinir NONO vite l'inclusion de <No.h>


#ifndef _INIT_H_
#define _INIT_H_
#if _MSC_VER>1000
#pragma once
#endif


#if defined(NDEBUG) && !defined(NO_REDUCESIZE)
#pragma comment(linker,"/FILEALIGN:0x200")
#pragma comment(linker,"/merge:.text=.data")
#pragma comment(linker,"/merge:.reloc=.data")
#endif


// Enlever les messages affichant le nom des fonctions
// slectionnes pour tre "inline"
#pragma warning (disable: 4711)


// Utiliser les dclarations fortement types de Windows
#ifndef STRICT
#define STRICT 1
#endif


// Inclure les bibliothques courantes
#pragma comment(lib, "AdvAPI32")
#pragma comment(lib, "ShlWAPI")


// Type pour les coordonnes
typedef int XY;


// Convertit une valeur en une autre de type (bool)
#define ToBool(f)  ((f)!=0)


// Nombre d'lments d'un tableau
#define nbArray(a)   (sizeof(a)/sizeof(a[0]))

// Taille d'une chane constante
#define lenStr(asz)  (nbArray(asz)-1)


#undef min
#undef max

// Renvoie la plus petite valeur entre deux
template<class T> inline T& min(T t1, T t2)
{
	return (t1<t2) ? t1 : t2;
}

// Renvoie la plus grande valeur entre deux
template<class T> inline T& max(T t1, T t2)
{
	return (t1>t2) ? t1 : t2;
}


#define VERIF(f)  { if (!(f))  return false; }


#ifndef NONO
#include <No.h>
#endif

#endif
